echo Installing Team for Capella Administration Features

@echo off
set CALLER_PATH=%CD%
set SCRIPT_PATH=%~dp0

cd "%SCRIPT_PATH%../capella"

set WORKSPACE_NAME=installationWorkspace
set WORKSPACE_EXISTS_BEFORE=0
if exist %WORKSPACE_NAME% (
  set WORKSPACE_EXISTS_BEFORE=1
)

@echo on
capellac.exe ^
-nosplash -console -consoleLog ^
-data %WORKSPACE_NAME% ^
-application org.eclipse.equinox.p2.director ^
-profile DefaultProfile ^
-tag InstallAdminFeatures ^
-installIU com.thalesgroup.mde.melody.collab.admin.client.feature.feature.group,com.thalesgroup.mde.melody.collab.user.profile.feature.feature.group ^
-repository "jar:file:///%SCRIPT_PATH%../updateSite/com.thalesgroup.mde.melody.team.license.update-7.0.0-202407121444.zip!"

@echo off
if %WORKSPACE_EXISTS_BEFORE% == 0 (
  if exist %WORKSPACE_NAME% (
    RD /S /Q %WORKSPACE_NAME%
  )
)

cd "%CALLER_PATH%"